#include <bits/stdc++.h>

using namespace std;
using ll = long long;

bool smaller(int x);

int find_number(int r) {
    int l = 1;

    while (l < r) {
        int mid = (l + r + 1) >> 1;
        if (smaller(mid)) r = mid - 1;
        else l = mid;
    }

    return l;
}
